program read_matrix
   implicit none
   integer,dimension(1:6,1:6)::Ht
   integer::i,j
   open(10,file="Ht-cc.dat",form='formatted')
   do i=1,6
      do j=1,6
         read(10,*) Ht(i,j)
      enddo
   enddo
   do i=1,6
         write(*,"(6i3)") (Ht(i,j),j=1,6)
   enddo
   !write(*,"(6i3)") Ht
end program
